aboutsummaryrefslogtreecommitdiff
path: root/textproc
Commit message (Collapse)AuthorAgeFilesLines
* textproc/groonga: Update version 12.1.1=>12.1.2Muhammad Moinur Rahman4 hours2-5/+5
| | | | Relnotes: https://groonga.org/en/blog/2023/01/29/groonga-12.1.2.html
* textproc/libfo: fix wrong dependency on gtk20Baptiste Daroussin5 hours1-2/+2
| | | | This port actually only depend on gdkpixbuf2
* textproc/gitlab-elasticsearch-indexer: update to 3.2.0Matthias Fechner9 hours2-9/+8
| | | | | | Required for gitlab-ce 15.8. Changelog: https://gitlab.com/gitlab-org/gitlab-elasticsearch-indexer/-/blob/main/CHANGELOG
* textproc/ugrep: Update to 3.9.7Ashish SHUKLA9 hours2-4/+4
|
* textproc/rubygem-version_sorter: update to 2.3.0Matthias Fechner45 hours2-4/+4
| | | | | | Required for gitlab-ce 15.7 update Changelog: https://github.com/github/version_sorter/commits/master
* Framework: Rewrite nodejs.mk and reorganize www/{node,npm,yarn}Po-Chuan Hsieh2 days1-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | | The current USES=nodejs has the following issues: - www/node is not the default version while www/node16 is. - It also means inconsistent naming of node ports. - www/npm duplicates with www/npm-node16. - www/yarn duplicates with www/yarn-node16. The notable changes are introduced to fix the above issues: - Rewrite Mk/Uses/nodejs.mk. - Add new LTS version of nodejs (www/noe18). - Add new current version of nodejs (www/node19). - Change default nodejs version from 16 to 18 (latest LTS). - Use consistent naming for all supported node versions. - Convert www/node, www/npm and www/yarn to meta ports. After this commit: - All supported node versions are named as node{14,16,18,19} - www/node is a meta port which depends on the default version (e.g. www/node18) - www/npm is a meta port which depends on the default version (e.g. www/npm-node18) - www/yarn is a meta port which depends on the default version (e.g. www/yarn-node18) - Bump PORTREVISION of dependent ports for dependency change (from www/node16 to www/node18) Discussed with: jrm, otis, pizzamig
* */py-: Fix MASTER_SITES after CHEESESHOP to PYPI trasitionPo-Chuan Hsieh2 days2-2/+2
|
* textproc/py-textract: Add NO_ARCHPo-Chuan Hsieh2 days1-5/+7
| | | | | | - While I'm here, fix indent Approved by: portmgr (blanket)
* textproc/py-RTFDE: Add NO_ARCHPo-Chuan Hsieh2 days1-2/+4
| | | | | | - While I'm here, fix indent Approved by: portmgr (blanket)
* textproc/py-rich: Update version requirement of RUN_DEPENDSPo-Chuan Hsieh2 days1-3/+3
| | | | | Approved by: portmgr (blanket) With hat: python
* textproc/py-python-pptx: Add NO_ARCHPo-Chuan Hsieh2 days1-0/+2
| | | | Approved by: portmgr (blanket)
* textproc/py-extract-msg: Add NO_ARCHPo-Chuan Hsieh2 days1-0/+2
| | | | Approved by: portmgr (blanket)
* textproc/py-ebcdic: Add NO_ARCHPo-Chuan Hsieh2 days1-3/+5
| | | | | | | | - With I'm here: - Fix USE_GITHUB usage: Use DISTVERSIONPREFIX instead of GH_TAGNAME - Fix indent Approved by: portmgr (blanket)
* textproc/rubygem-ox: Update to 2.14.13Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/ohler55/ox/blob/develop/CHANGELOG.md
* textproc/rubygem-nokogiri: Update to 1.13.10Po-Chuan Hsieh2 days2-12/+8
| | | | | | | | | | | | | - Remove LIB_DEPENDS: - libxml2 is already in USE_GNOME - libgcrypt and libgpg-error are indirect dependencies (via libxslt) - Clean up: - Remove rubygem-pkg-config from RUN_DEPENDS by moving it to BUILD_DEPENDS - Remove USES=pkgconfig - Remove STRIP_CMD from post-install: since it is done by USES=gem - Update version requirement of BUILD_DEPENDS Changes: https://github.com/sparklemotion/nokogiri/releases
* textproc/rubygem-iso-639: Update to 0.3.6Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/xwmx/iso-639/commits/master
* textproc/rubygem-github-linguist: Update to 7.24.1Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/github/linguist/releases
* textproc/rubygem-gemoji: Update to 4.0.1Po-Chuan Hsieh2 days2-7/+6
| | | | | | - Add LICENSE_FILE Changes: https://github.com/github/gemoji/releases
* textproc/py-sphinx: Fix a7a3ac5596fdb27fb974c7993002b63994fe001ePo-Chuan Hsieh2 days1-4/+3
| | | | | | - Update version requirement of RUN_DEPENDS - Fix TEST_DEPENDS - Convert to USE_PYTHON=pytest
* textproc/py-docutils: Update WWWPo-Chuan Hsieh2 days1-1/+1
|
* textproc/py-chameleon: Update to 3.10.2Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/malthe/chameleon/blob/master/CHANGES.rst
* textproc/py-autopep8: Update to 2.0.1Po-Chuan Hsieh2 days2-7/+12
| | | | Changes: https://github.com/hhatto/autopep8/releases
* textproc/p5-Spreadsheet-Read: Update to 0.85Po-Chuan Hsieh2 days2-9/+9
| | | | Changes: https://metacpan.org/dist/Spreadsheet-Read/changes
* textproc/p5-Pod-Eventual: Update to 0.094003Po-Chuan Hsieh2 days2-4/+5
| | | | | | - Add LICENSE_FILE Changes: https://metacpan.org/dist/Pod-Eventual/changes
* textproc/p5-Pod-Elemental: Update to 0.103006Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://metacpan.org/dist/Pod-Elemental/changes
* textproc/p5-Perl-Critic-Tics: Update to 0.010Po-Chuan Hsieh2 days2-3/+6
| | | | | | - Add LICENSE_FILE Changes: https://metacpan.org/dist/Perl-Critic-Tics/changes
* textproc/p5-Perl-Critic: Update to 1.148Po-Chuan Hsieh2 days3-7/+4
| | | | Changes: https://metacpan.org/dist/Perl-Critic/changes
* textproc/p5-JSON-Validator: Update to 5.13Po-Chuan Hsieh2 days2-6/+6
| | | | | | - Update WWW Changes: https://metacpan.org/dist/JSON-Validator/changes
* textproc/p5-Apache-Solr: Update to 1.09Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://metacpan.org/dist/Apache-Solr/changes
* textproc/hunspell: Use upstream release tarballPo-Chuan Hsieh2 days3-14/+17
| | | | - Cosmetic change
* textproc/rubygem-terser11: Update to 1.1.13Po-Chuan Hsieh2 days2-4/+4
| | | | | Changes: https://github.com/ahorek/terser-ruby/releases https://github.com/ahorek/terser-ruby/blob/master/CHANGELOG.md
* textproc/rubygem-rails-html-sanitizer: Update to 1.4.4Po-Chuan Hsieh2 days2-5/+5
| | | | | Changes: https://github.com/rails/rails-html-sanitizer/releases Security: CVE-2022-23517, CVE-2022-23518, CVE-2022-23519, CVE-2022-23520
* textproc/rubygem-psych: Update to 5.0.1Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/ruby/psych/releases
* textproc/rubygem-loofah: Update to 2.19.1Po-Chuan Hsieh2 days2-4/+4
| | | | | Changes: https://github.com/flavorjones/loofah/releases Security: CVE-2022-23514, CVE-2022-23515, CVE-2022-23516
* textproc/rubygem-liquid4: Update to 4.0.4Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/Shopify/liquid/blob/4-0-stable/History.md
* textproc/rubygem-libxml-ruby: Update to 4.0.0Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/xml4r/libxml-ruby/blob/master/HISTORY
* textproc/rubygem-jekyll-sass-converter: Add PORTSCOUTPo-Chuan Hsieh2 days1-0/+3
|
* textproc/rubygem-google-cloud-translate-v3: Update to 0.5.1Po-Chuan Hsieh2 days2-5/+5
| | | | | Changes: https://github.com/googleapis/google-cloud-ruby/releases https://github.com/googleapis/google-cloud-ruby/blob/main/google-cloud-translate-v3/CHANGELOG.md
* textproc/rubygem-cucumber-html-formatter: Update to 20.2.1Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/cucumber/html-formatter/releases
* textproc/rubygem-cucumber-gherkin: Update to 26.0.3Po-Chuan Hsieh2 days2-5/+5
| | | | | | - Change RUN_DEPENDS from rubygem-cucumber-messages to rubygem-cucumber-messages19 Changes: https://github.com/cucumber/gherkin/releases
* textproc/rubygem-css_parser: Update to 1.14.0Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/premailer/css_parser/blob/master/CHANGELOG.md
* textproc/rubygem-abbrev: Update to 0.1.1Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/ruby/abbrev/releases
* textproc/py-xmldiff: Update to 2.5Po-Chuan Hsieh2 days2-7/+6
| | | | Changes: https://github.com/Shoobx/xmldiff/blob/master/CHANGES.rst
* textproc/py-ttp: Update to 0.9.2Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/dmulyalin/ttp/releases
* textproc/py-textual: Change RUN_DEPENDS from py-rich to py-rich12Po-Chuan Hsieh2 days1-1/+2
| | | | - Bump PORTREVISION for dependency change
* textproc/py-sphinx-tabs: Fix 7a4b1542eea74a66513b168436f47fd2a67d7f7dPo-Chuan Hsieh2 days2-3/+14
| | | | | | - Fix RUN_DEPENDS: Remove py-Jinja2 - Update version requirement of RUN_DEPENDS - Bump PORTREVISION for package change
* textproc/py-rich-cli: Change RUN_DEPENDS from py-rich to py-rich12Po-Chuan Hsieh2 days1-1/+2
| | | | - Bump PORTREVISION for dependency change
* textproc/py-petl: Update to 1.7.12Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/petl-developers/petl/releases
* textproc/py-nbsphinx: Update to 0.8.11Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/spatialaudio/nbsphinx/releases
* textproc/py-mdit-py-plugins: Update to 0.3.3Po-Chuan Hsieh2 days2-4/+4
| | | | Changes: https://github.com/executablebooks/mdit-py-plugins/releases